Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thaiopensource.validate
Interface SchemaReader

All Known Implementing Classes:
  AbstractSchemaReader, AutoSchemaReader, CompactSchemaReader, SAXSchemaReader, com.thaiopensource.validate.rng.impl.SchemaReaderImpl

    public interface SchemaReader

A SchemaReader object is immutable and can thus be safely accessed concurrently from multiple threads.

Field Summary
`static String` | `BASE_URI`

Method Summary
`Schema` | `createSchema(InputSource source, PropertyMap properties)` Creates a `Schema` by reading it from an `InputSource`.
`Schema` | `createSchema(SAXSource source, PropertyMap properties)`
`Option` | `getOption(String uri)`

Field Detail

### BASE_URI

    static final String BASE_URI

See Also:
  Constant Field Values

Method Detail

### createSchema

    Schema createSchema(InputSource source,
                        PropertyMap properties)
                        throws IOException,
                               SAXException,
                               IncorrectSchemaException

  Creates a `Schema` by reading it from an `InputSource`.

  Parameters:
    `source` -
    `properties` - a `PropertyMap` to control the schema creation; must not be `null` @return a newly created `Schema`, never `null`
  Throws:
    `IOException` - if an I/O error occurs
    `SAXException`
    `IncorrectSchemaException`
  See Also:
    `ValidateProperty`

### createSchema

    Schema createSchema(SAXSource source,
                        PropertyMap properties)
                        throws IOException,
                               SAXException,
                               IncorrectSchemaException

  Throws:
    `IOException`
    `SAXException`
    `IncorrectSchemaException`

### getOption

    Option getOption(String uri)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD